## trackballs 1.1.4

=== debian/changelog ===
trackballs (1.1.4-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update source for guile-2.0.
    Add these patches:
      0002-lv1.scm-move-illegal-expression-context-define-to-th.patch
      0003-Port-to-Guile-2.0.patch
      0004-icons-Makefile.am-prepend-DESTDIR-to-iconsdir-here-t.patch
      0005-po-Makefile.in.in-set-mkinstalldirs-to-install-d.patch
  * Change build-dep to guile-2.0-dev. (Closes: 746011)
  * Migrate to debhelper 9
  * Delete automatically generated upstream files.  Add
    0006-Delete-automatically-generated-upstream-files.patch to handle the
    removals.
  * Add dh-autoreconf build-dep.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 26 Jan 2016 21:39:58 -0600

trackballs (1.1.4-4.2~1.gbp940fd0) UNRELEASED; urgency=medium

  ** SNAPSHOT build @940fd0a287d81a72e4e2154aae0e161131c9a841 **

  * Non-maintainer upload.
  * Import trackballs 1.1.4-4.1

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 25 Jan 2016 22:51:45 -0600

trackballs (1.1.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build dependencies. (Closes: #629794)
  * debian/control: Add ${misc:Depends}.
  * debian/control: Change Section for trackballs-dbg from games to debug.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 28 Dec 2011 13:17:39 +0100

trackballs (1.1.4-4) unstable; urgency=low

  * Remove MimeType in .desktop.in file so nautilus doesn't try to open
    scripts with trackballs (Closes: #457331)

 -- Ari Pollak <ari@debian.org>  Sun, 30 Dec 2007 16:39:03 -0500

trackballs (1.1.4-3) unstable; urgency=low

  * Make trackballs-dbg not recommend trackballs-music anymore
    (Closes: #455597)

 -- Ari Pollak <ari@debian.org>  Mon, 17 Dec 2007 13:08:01 -0500

trackballs (1.1.4-2) unstable; urgency=low

  * Install .desktop file to /usr/share/applications (Closes: #414651)

 -- Ari Pollak <ari@debian.org>  Wed, 27 Jun 2007 19:45:46 -0400

trackballs (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Take out --disable-nls (Closes: #421601)

 -- Ari Pollak <ari@debian.org>  Sat, 26 May 2007 23:30:35 -0400

trackballs (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sun,  6 Aug 2006 14:38:52 -0400

trackballs (1.1.1-4) unstable; urgency=medium

  * Change build-dep from xlibmesa-glu-dev to libglu1-xorg-dev (Closes: #379716)

 -- Ari Pollak <ari@debian.org>  Thu, 27 Jul 2006 21:30:42 -0400

trackballs (1.1.1-3) unstable; urgency=low

  * Remove "boxofun" level since it's not in upstream CVS anymore anyway
    (Closes: #250110)
  * Disable the SDL parachute, which was preventing proper coredumps.
    It's kind of hard to run GL apps under gdb while
    some drivers depend on signal handlers to work as normal.

 -- Ari Pollak <ari@debian.org>  Fri, 27 Jan 2006 11:06:42 -0500

trackballs (1.1.1-2) unstable; urgency=low

  * Add versioned dependency on binutils since we now use dh_strip
    --dbg-package

 -- Ari Pollak <ari@debian.org>  Tue, 15 Nov 2005 13:45:58 -0500

trackballs (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Don't run trackballs as gid games anymore, thanks to the upstream
    authors who now allow easy storing of the high-score file 
    in users' home directories. (Closes: #302454)
  * Add trackballs-dbg package which includes debugging symbols
  * Fix a serious bug that prevented 1.1.0 from starting
    under some X DRI drivers

 -- Ari Pollak <ari@debian.org>  Tue, 15 Nov 2005 10:05:02 -0500

trackballs (1.1.0-2) experimental; urgency=low

  * Don't bother running the script to install a GNOME .desktop file
    since it doesn't work anyway

 -- Ari Pollak <ari@debian.org>  Sun,  8 May 2005 19:13:05 -0400

trackballs (1.1.0-1) experimental; urgency=low

  * New upstream release.
    - Upload for experimental so we don't affect the security fix from 1.0.0-9
      going into sarge.
    - configure with --disable-nls, gettext support is kind of broken right
      now and there haven't really been any translations yet.
    - Change some functions in src/{menusystem,font}.{cc,h} from accepting
      char* to const char*, so it will build with gettext support disabled.
      Committed fixes upstream.

 -- Ari Pollak <ari@debian.org>  Fri,  4 Mar 2005 21:07:05 -0500

trackballs (1.0.0-8) unstable; urgency=low

  * Apply modified patch from Ulf Harnhammar to prevent a crash when
    the environment variable USER=%n%n%n%n%n or similar. (Closes: #297646)

 -- Ari Pollak <ari@debian.org>  Wed,  2 Mar 2005 01:48:41 -0500

trackballs (1.0.0-7) unstable; urgency=low

  * Apply modified patch from Steve Kemp to fix buffer overflows
    (Closes: #289942)

 -- Ari Pollak <ari@debian.org>  Fri, 14 Jan 2005 12:54:41 -0500

trackballs (1.0.0-6) unstable; urgency=low

  * Oops, forgot 2 out of the 4 int->longs. (Closes: #289452)

 -- Ari Pollak <ari@debian.org>  Mon, 10 Jan 2005 11:49:13 -0500

trackballs (1.0.0-5) unstable; urgency=low

  * Apply patch from Andreas Jochens to fix compile error on amd64/gcc-4.0
    (Closes: #289452)

 -- Ari Pollak <ari@debian.org>  Sun,  9 Jan 2005 13:06:49 -0500

trackballs (1.0.0-4) unstable; urgency=low

  * Fix build dependencies on libgl-dev and libglu-dev to prefer xlibmesa
  * Apply tiny patch from upstream bug report to fix ball
    initialization (Closes: #289203)

 -- Ari Pollak <ari@debian.org>  Fri,  7 Jan 2005 16:00:30 -0500

trackballs (1.0.0-3) unstable; urgency=low

  * Fix conflicts/replaces (Closes: #234463)

 -- Ari Pollak <ari@debian.org>  Mon, 23 Feb 2004 19:46:45 -0500

trackballs (1.0.0-2) unstable; urgency=low

  * Split most of /usr/share into -data package (Closes: #233451)

 -- Ari Pollak <ari@debian.org>  Tue, 17 Feb 2004 23:01:04 -0500

trackballs (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Mon,  9 Feb 2004 21:34:48 -0500

trackballs (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Tue,  6 Jan 2004 02:21:49 -0500


