=== debian/control ===
Source: trackballs
Section: games
Priority: extra
Maintainer: Ari Pollak <ari@debian.org>
Build-Depends: debhelper (>= 9),
  binutils (>= 2.12.90.0.9),
  dh-autoreconf,
  guile-2.0-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
  libsdl1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl-mixer1.2-dev,
  libsdl-image1.2-dev
Standards-Version: 3.7.3
Homepage: http://trackballs.sf.net

Package: trackballs
Architecture: any
Section: games
Depends: trackballs-data, ${shlibs:Depends}, ${misc:Depends}
Recommends: trackballs-music
Description: An OpenGL-based game of marbles through a labyrinth
 Trackballs is a simple game similar to the classical game Marble Madness
 on the Amiga in the 80's. By steering a marble ball through a labyrinth
 filled with vicious hammers, pools of acid and other obstacles the
 player collects points. When the ball reaches the destination it continues
 at the next, more difficult level - unless the time runs out.
 .
 This game is not intended to be a replica of Marble Madness but rather
 inspired by it. The game is also highly configurable by using a
 scripting extension (Guile) and it provides a simple editor by which new
 levels can easily be created.
 .
 Install the trackballs-music package for a soundtrack to be played during
 gameplay. For more information and screenshots of the game please see
 <http://trackballs.sourceforge.net>.

Package: trackballs-dbg
Architecture: any
Section: debug
Depends: trackballs (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Debugging symbols for Trackballs
 This package includes the debugging symbols useful for debugging
 the Trackballs game contained in the trackballs package. The debugging
 symbols are used for execution tracing and core dump analysis.

Package: trackballs-data
Architecture: all
Section: games
Depends: ${misc:Depends}
Enhances: trackballs
Description: Data files for trackballs
 This package contains the necessary architecture-independent data files
 needed for running trackballs.
