=== debian/watch ===
version=3
http://sf.net/trackballs/trackballs-([\d.]+)\.tar\.gz
