## trackballs 1.2.3

=== debian/changelog ===
trackballs (1.2.3-3) unstable; urgency=medium

  * Install trackballs.desktop from trackballs-data into trackballs again.
    Remove Lintian override. (Closes: #870085)
  * wrap-and-sort -sa.

 -- Markus Koschany <apo@debian.org>  Sat, 29 Jul 2017 17:57:29 +0200

trackballs (1.2.3-2) unstable; urgency=medium

  * Break against version << 1.3-2 of trackballs-music. (Closes: #870010)

 -- Markus Koschany <apo@debian.org>  Sat, 29 Jul 2017 02:53:18 +0200

trackballs (1.2.3-1) unstable; urgency=medium

  * New maintainer: Debian Games Team with the consent of Ari Pollak.
    Add myself to Uploaders.
  * New upstream version 1.2.3. (Closes: #868983)
    - Fixes segmentation faults. The game is usable again. (Closes: #839788)
    - The game uses SDL2 now which provides much better fullscreen support
      and switching to different resolutions should not crash the X server
      anymore. (Closes: #306998)
    - We build-depend on zlib1g-dev now. (Closes: #672946)
    - The Slovak PO file declares and uses UTF-8 now. (Closes: #621709)
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 4.0.0.
  * Homepage field: Point to the new fork of trackballs at github.com.
  * Move the package to Git.
  * Drop deprecated menu file and xpm icon.
  * Switch from SDL1 to SDL2. New build-dependencies zlib1g-dev, gettext. New
    build system CMake.
  * Drop all patches. No longer needed.
  * Clean up debian/rules. Add get-orig-source target.
  * Don't recommend trackballs-music anymore because the music files are
    included now.
  * Remove the paragraph of the package description that mentions the obsolete
    trackballs-music package.
  * Drop postrm file.
  * Add Breaks and Replaces relation for trackballs-music.
  * Update debian/copyright to copyright format 1.0.
  * Add manpage.patch and fix some spelling mistakes and the Lintian warning
    bad whatis entry.
  * trackballs-data: Depend on fonts-freefont-ttf and symlink the font file to
    Debian's system package.
  * Add no-execstring.patch and remove the unnecessary Exec string from
    trackballs.desktop.

 -- Markus Koschany <apo@debian.org>  Fri, 28 Jul 2017 00:11:52 +0200

trackballs (1.1.4-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add gcc6.patch and fix FTBFS with GCC-6. (Closes: #831119)
  * Provide a new trackballs.xpm icon for menu file.
    Converted from share/icons/trackballs-32x32.png. (Closes: #420727)
  * Add and install trackballs.desktop file.
    Thanks to Stefan Potyra for the initial patch. (Closes: #414651)
  * Add german-translations.patch.
    Thanks to Erik Pfannenstein for the report and patch. (Closes: #598517)
  * Fix installation path for arch-independent files like icons and locales
    to /usr/share as appropriate.
  * Add debian/clean and ensure that the game can be built twice in a row.
  * Drop -dbg package and use the automatic -dbgsym package instead.
  * Delete empty directories and do not install them.
  * Switch to compat level 10.
  * d/control: Remove duplicate Section field from binary packages.
  * Remove dirs file. It is obsolete.

 -- Markus Koschany <apo@debian.org>  Tue, 04 Oct 2016 21:11:56 +0200
