=== debian/changelog ===
trackballs (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4.
    - It is possible to play Trackballs in 1680x1050 and higher
      resolutions when using the Auto-32 mode now. (Closes: #438721)
  * Declare compliance with Debian Policy 4.1.1.
  * Drop all patches. Merged upstream.
  * Change priority from extra to optional.
  * debian/docs: Ensure that FAQ.md, README.md and TODO.md are really
    installed.

 -- Markus Koschany <apo@debian.org>  Sun, 29 Oct 2017 22:14:27 +0100
