=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: trackballs
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>
@@ -14,7 +14,7 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://trackballs.github.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/trackballs.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-games/trackballs.git
