=== debian/changelog ===
trackballs (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Migrate to guile-2.2. (Closes: #885229)
  * Add ICON_DIR.patch and fix wrong default location of scalable images.

 -- Markus Koschany <apo@debian.org>  Thu, 15 Mar 2018 13:59:38 +0100
