=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
  gettext,
- guile-2.0-dev,
+ guile-2.2-dev,
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://trackballs.github.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/trackballs.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-games/trackballs.git
