=== debian/changelog ===
trackballs (1.3.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:27:53 +0100

trackballs (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1.
  * Declare compliance with Debian Policy 4.1.4.
  * Drop ICON_DIR.patch. Applied upstream.

 -- Markus Koschany <apo@debian.org>  Fri, 18 May 2018 21:29:59 +0200
