=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://trackballs.github.io/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/trackballs.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-games/trackballs.git
