=== debian/changelog ===
trackballs (1.3.2-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 14 Jan 2021 23:11:10 -0500

trackballs (1.3.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Remove unnecessary get-orig-source-target.

  [ Markus Koschany ]
  * New upstream version 1.3.2.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Mark trackballs-data MultiArch: foreign.
  * Build depend on guile-3.0-dev instead of guile-2.2-dev. (Closes: #969684)

 -- Markus Koschany <apo@debian.org>  Sat, 26 Dec 2020 20:20:32 +0100
