=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: trackballs
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  gettext,
- guile-2.2-dev,
+ guile-3.0-dev,
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.1
 Homepage: https://trackballs.github.io/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/trackballs.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-games/trackballs.git
+Vcs-Git: https://salsa.debian.org/games-team/trackballs.git
+Vcs-Browser: https://salsa.debian.org/games-team/trackballs
 
 Package: trackballs
 Architecture: any
@@ -43,6 +44,7 @@
 
 Package: trackballs-data
 Architecture: all
+Multi-Arch: foreign
 Depends:
  fonts-freefont-ttf,
  ${misc:Depends}
