=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DTRACKBALLS_SHARE_DIR=/usr/share/games/trackballs \
		-DTRACKBALLS_HIGHSCORES_DIR=~
