## trackballs 1.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
 
 # Set defines
 add_definitions(-DPACKAGE="trackballs")
-add_definitions(-DVERSION="1.3.2")
+add_definitions(-DVERSION="1.3.3")
 add_definitions(-DLOCALEDIR="${TRACKBALLS_LOCALE}")
 add_definitions(-DHAVE_CONFIG_H)
 add_definitions(-DSHARE_DIR="${TRACKBALLS_SHARE}")
