=== debian/changelog ===
trackballs (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3.
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Oct 2021 00:38:51 +0200
