=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: trackballs
 Section: games
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>
 Build-Depends:
@@ -15,7 +14,7 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://trackballs.github.io/
 Vcs-Git: https://salsa.debian.org/games-team/trackballs.git
 Vcs-Browser: https://salsa.debian.org/games-team/trackballs
