=== debian/changelog ===
trackballs (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4.
  * Make trackballs cross-buildable.
    Thanks to Helmut Grohne for the patch. (Closes: #985357)
  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Fri, 13 Jan 2023 00:20:17 +0100
