=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/trackballs-$1\.tar\.gz/ \
  https://github.com/trackballs/trackballs/tags .*/v?(\d\S+)\.tar\.gz
