=== debian/changelog ===
trackballs (1.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.5 compatible with CMake 4 (Closes: #1113582)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 14:30:29 +0200

trackballs (1.3.4-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with recent libsdl2-ttf-dev 2.24.0 (Closes: #1092408)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 Jan 2025 15:56:03 +0100
