=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsdl2-mixer-dev,
  libsdl2-ttf-dev,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://trackballs.github.io/
 Vcs-Git: https://salsa.debian.org/games-team/trackballs.git
 Vcs-Browser: https://salsa.debian.org/games-team/trackballs
